Wahio Developers
Orders
PUT
/v1/shipments/status/update

Change the status of a shipment.

Updates the current status of a shipment to the specified next status.

Authentication: Include your API key in the X-Api-Key header.

Header Parameters

X-Api-Key*string

Your API Key for authentication

Request Body

application/json

Command with the shipment ID and the next status ID

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X PUT "https://example.com/v1/shipments/status/update" \  -H "X-Api-Key: string" \  -H "Content-Type: application/json" \  -d '{}'
{  "shipment": {    "id": "string",    "accountId": "string",    "orderId": "string",    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z",    "statusUpdatedAt": "2019-08-24T14:15:22Z",    "shipFromId": "string",    "shipFrom": {      "id": "string",      "street": "string",      "city": "string",      "state": "string",      "stateCode": "string",      "postalCode": "string",      "country": "string",      "countryCode": "string",      "contactName": "string",      "contactEmail": "string",      "contactPhoneCode": "string",      "contactPhone": "string",      "additionalInformation": "string",      "lat": 0.1,      "lng": 0.1,      "locationInfo": {        "inputAddress": "string",        "formattedAddress": "string",        "lat": 0.1,        "lng": 0.1,        "type": "string"      }    },    "shipToId": "string",    "shipTo": {      "id": "string",      "street": "string",      "city": "string",      "state": "string",      "stateCode": "string",      "postalCode": "string",      "country": "string",      "countryCode": "string",      "contactName": "string",      "contactEmail": "string",      "contactPhoneCode": "string",      "contactPhone": "string",      "additionalInformation": "string",      "lat": 0.1,      "lng": 0.1,      "locationInfo": {        "inputAddress": "string",        "formattedAddress": "string",        "lat": 0.1,        "lng": 0.1,        "type": "string"      }    },    "courierId": "string",    "archived": true,    "cashOnDeliveryOrder": true,    "stockProcessed": true,    "isGift": true,    "shippingLabel": {      "comment": "string",      "customerDocumentNumber": true,      "organizationPhone": true,      "organizationAddress": true,      "observation": true,      "orderNumber": true,      "invoiceNumber": true,      "orderValue": true,      "shippingValue": true,      "paymentStatus": true,      "paymentMethod": true,      "trackingNumber": true,      "trackingQr": true,      "contactSeller": true    },    "statusLogs": [      {        "statusId": "string",        "date": "2019-08-24T14:15:22Z",        "comments": [          {            "key": "string",            "comment": "string",            "visibility": "string",            "date": "2019-08-24T14:15:22Z"          }        ]      }    ],    "statusId": "string",    "status": {      "id": "string",      "accountId": "string",      "aliasName": "string",      "name": "string",      "icon": "string",      "active": true,      "requiredNotification": true,      "index": 0,      "color": "string",      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z",      "stockAction": "string"    },    "outOfOrderCosts": true,    "includesAccountsPayable": true,    "shippingCost": 0.1,    "costItems": [      {        "name": "string",        "value": 0.1      }    ],    "shippingMethod": "string",    "totalWeight": 0.1,    "isInsured": true,    "insuranceValue": 0,    "customDetails": {      "property1": {},      "property2": {}    },    "shippingTrackingLink": "string",    "shippingTrackingNumber": "string"  },  "message": "string"}